# 50. Lekérdezés: rácsozott adatok lekérése a „VectorAnalysisMap”-ből

Lekérdezés rácsosított adatok lekérésére a "VectorAnalysisMap"-ből mint `GEOJSON`  pontokkal vagy `GEOTIFF`. A properties attribútum az eredeti adatokat (például index érték) tartalmazza pontonként.

#### 1. Kérjünk fájlt exportáláshoz

{% hint style="danger" %}
Ajánlott csak egyetlen adathalmaz lekérése a következővel: `sourceDataUrl` kérésenként.&#x20;
{% endhint %}

`NoBuffer`, `PlusOnePixel`, `PlusTwoPixels`, `MinusOnePixel`, és `MinusTwoPixels` elérhető mint `puffer`.

`GEOJSON` és `GEOTIFF` elérhető mint egy formátum.&#x20;

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetGriddedDataFromVectorAnalysisMap {
  getFarms(farmUuids: ["<placeholder_of_farm_uuid>"]) {
    uuid
    farmOwnership
    fields(fieldUuids: ["<placeholder_of_field_uuid>"]){
      uuid
      vectorAnalysisMaps(vectorAnalysisMapUuids: ["<placeholder_of_zonesmap_uuid>"]) {
        uuid
        sourceDataUrl(format: GEOJSON buffer: PlusTwoPixels)
      }
    }
  }
}
```

{% endcode %}

#### 2. Töltsd le a létrehozott fájlt

A fájl sikeres előkészítése után letölthető a következővel: `curl` vagy hasonló módszerrel.

{% hint style="danger" %}
`sourceDataUrl` a hivatkozás csak elérhető **60 mp-ig.**
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<sourceDataUrl>' --compressed >> '<local_filepath>'
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/hu/api-dokumentacio/geopard-api-keresek-attekintese/50.-lekerdezes-racsozott-adatok-lekerese-a-vectoranalysismap-bol.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
